%define package userprofile
%define version 0.1
%define release 1

Name:           wpkg-%{package}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        %{package} for WPKG on iPasserelle

Group:          System/Softwares
URL:            http://www.ipasserelle.com
Source0:        %{name}-%{version}.tar.gz
License:        GPL

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  unix2dos
BuildRequires:  e-smith-devtools

Requires:       ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/userprofile
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/userprofile
#cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/firefox/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
/etc/

%changelog
* Tue Feb 19 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Initial release

